Bug 242525 - net/opensips: Update to 3.0.1
Summary: net/opensips: Update to 3.0.1
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-12-09 16:40 UTC by Talal Al Dik
Modified: 2020-03-04 16:08 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (euan)


Attachments
[update] net/opensips: update to 3.0.1 (77.58 KB, patch)
2019-12-09 16:40 UTC, Talal Al Dik
no flags Details | Diff
net/opensips update to 3.0.1 (85.58 KB, patch)
2019-12-10 00:25 UTC, Talal Al Dik
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Talal Al Dik 2019-12-09 16:40:09 UTC
Created attachment 209806 [details]
[update] net/opensips: update to 3.0.1
Comment 1 Steve Wills freebsd_committer 2019-12-09 20:46:16 UTC
Fails to fetch:

fetch: http://opensips.org/pub/opensips/3.0.1/opensips-3.0.1.tar.gz: size mismatch: expected 12505128, actual 10046374
Comment 2 Kurt Jaeger freebsd_committer 2019-12-09 20:46:24 UTC
Thanks for the patch. Can you verify with portlint -AC ?

And: distinfo was not valid. pkg-plist is invalid, too. Did you test with

make check-plist

and maybe test-build with poudriere ?
Comment 3 Talal Al Dik 2019-12-10 00:25:37 UTC
Created attachment 209817 [details]
net/opensips update to 3.0.1

fixed: make makesum
fixed: make check-plist
fixed: portline -AC
fixed: make config

I tried with all make config scnarios.
Comment 4 Talal Al Dik 2020-01-15 20:52:26 UTC
Is there anything blocking this port update from being committed?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-16 10:34:44 UTC
Comment on attachment 209817 [details]
net/opensips update to 3.0.1

Approved by: portmgr (maintainer timeout: > 1 month)

Pending QA
Comment 6 Talal Al Dik 2020-03-04 14:23:07 UTC
I submitted PR-244594 to update to latest 3.0.2 which obsoletes this ticket.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2020-03-04 16:08:25 UTC
Now see 244594.